#include "stm32f10x.h"
#include "Driver_TIMER.h" 


int main(void) {

	/*typedef struct {
	TIM_TypeDef * Timer ;
	uint16_t ARR ;
	uint16_t PSC ;
} MyTimer_Struct_TypeDef ;
*/
	
	MyTimer_Struct_TypeDef MonTimer ;
	MonTimer.Timer = TIM1 ;
	//méthode PGCD
	//MonTimer.ARR = 65454;
	//MonTimer.PSC = 550 ;
	MonTimer.ARR = 18000;
	MonTimer.PSC = 2000 ;
	MyTimer_Base_Init(&MonTimer);
	Activate_TIM(1);
	
	MyTimer_Base_Start(MonTimer.Timer);

	return 0;
}
